Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.wireadmin
Class BasicEnvelope

    java.lang.Object
      |
      +--org.osgi.service.wireadmin.BasicEnvelope

All Implemented Interfaces:
  Envelope

public class BasicEnvelope
extends java.lang.Object
implements Envelope

`BasicEnvelope` is an implementation of the `Envelope` interface

Constructor Summary
`BasicEnvelope(java.lang.Object value, java.lang.Object identification, java.lang.String scope)` Constructor.

Method Summary
`java.lang.Object` | `getIdentification()` Return the identification of this `Envelope` object.
`java.lang.String` | `getScope()` Return the scope name of this `Envelope` object.
`java.lang.Object` | `getValue()` Return the value associated with this `Envelope` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicEnvelope

    public BasicEnvelope(java.lang.Object value,
                         java.lang.Object identification,
                         java.lang.String scope)

  Constructor.
  Parameters:
    `value` - Content of this envelope, may be `null`.
    `identifying` - Identifying object for this `Envelope` object, must not be `null`
    `scope` - Scope name for this object, must not be `null`
  See Also:
    `Envelope`

Method Detail

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `Envelope`
  Return the value associated with this `Envelope` object.
  Specified by:
    `getValue` in interface `Envelope`
  See Also:
    `Envelope.getValue()`

### getIdentification

    public java.lang.Object getIdentification()

  Description copied from interface: `Envelope`
  Return the identification of this `Envelope` object. An identification may be of any Java type. The type must be mutually agreed between the Consumer and Producer services.
  Specified by:
    `getIdentification` in interface `Envelope`
  See Also:
    `Envelope.getIdentification()`

### getScope

    public java.lang.String getScope()

  Description copied from interface: `Envelope`
  Return the scope name of this `Envelope` object. Scope names are used to restrict the communication between the Producer and Consumer services. Only `Envelopes` objects with a scope name that is permitted for the Producer and the Consumer services must be passed through a `Wire` object.
  Specified by:
    `getScope` in interface `Envelope`
  See Also:
    `Envelope.getScope()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.